GH-DISCUSSION(1)

NAME
gh-discussion - Work with GitHub Discussions (preview)

SYNOPSIS
gh discussion <command> [flags]

DESCRIPTION
Working with discussions in the GitHub CLI is in preview and subject to change without notice.

GENERAL COMMANDS

gh-discussion-create(1)
    Create a new discussion (preview)

gh-discussion-list(1)
    List discussions in a repository (preview)

TARGETED COMMANDS

gh-discussion-comment(1)
    Add, edit, or delete a comment or a reply on a discussion (preview)

gh-discussion-edit(1)
    Edit a discussion (preview)

gh-discussion-view(1)
    View a discussion (preview)

OPTIONS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    $ gh discussion list
    $ gh discussion create --category "General" --title "Hello" --body "Hello World!"
    $ gh discussion view 123

SEE ALSO
gh(1)